Index: ipk/source/players_mediaplayermod_2_5/CONTROL/control
===================================================================
--- ipk/source/players_mediaplayermod_2_5/CONTROL/control	(revision 653)
+++ ipk/source/players_mediaplayermod_2_5/CONTROL/control	(revision 653)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-players-mediaplayer
+Version: 2.5
+Architecture: sh4
+OE: MediaPlayer Mod 2.5
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: MediaPlayer Mod 2.5
Index: ipk/source/players_mediaplayermod_2_5/CONTROL/postinst
===================================================================
--- ipk/source/players_mediaplayermod_2_5/CONTROL/postinst	(revision 653)
+++ ipk/source/players_mediaplayermod_2_5/CONTROL/postinst	(revision 653)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.mediaplayer
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: ipk/source/players_mediaplayermod_2_5/CONTROL/postrm
===================================================================
--- ipk/source/players_mediaplayermod_2_5/CONTROL/postrm	(revision 653)
+++ ipk/source/players_mediaplayermod_2_5/CONTROL/postrm	(revision 653)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.mediaplayer
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/MediaPlayer
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: ipk/source/players_mediaplayermod_2_5/CONTROL/preinst
===================================================================
--- ipk/source/players_mediaplayermod_2_5/CONTROL/preinst	(revision 653)
+++ ipk/source/players_mediaplayermod_2_5/CONTROL/preinst	(revision 653)
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+TMP=/tmp/.mediaplayer
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/MediaPlayer
+echo "syncing disk"
+sync
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=70
+	MIN=0
+	echo "checking freespace"
+	if [ -e $PLUGINDIR ]; then
+		SKIP=`du $PLUGINDIR | cut -d / -f1 | tail -n1`
+		echo skipped mediaplayer
+		MIN=`expr $MIN + $SKIP`
+	fi
+	echo packege size $SIZE kb
+	echo package skiped $MIN kb
+	SIZEEND=`expr $SIZE - $MIN`
+	echo package install $SIZEEND kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZEEND" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing MediaPlayer ..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------	
+	exit 1
+fi
+
+if [ -e $PLUGINDIR ]; then
+	echo remove installed mediaplayer
+	rm -r $PLUGINDIR > /dev/null 2>&1
+	echo you must restart Gui before installing!!
+fi
+
+exit 0
Index: ipk/source/players_mediaplayermod_2_5/CONTROL/prerm
===================================================================
--- ipk/source/players_mediaplayermod_2_5/CONTROL/prerm	(revision 653)
+++ ipk/source/players_mediaplayermod_2_5/CONTROL/prerm	(revision 653)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.mediaplayer
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing MediaPlayer"
+exit 0
+
+
Index: ipk/source/po_lt_1_0/CONTROL/control
===================================================================
--- ipk/source/po_lt_1_0/CONTROL/control	(revision 653)
+++ ipk/source/po_lt_1_0/CONTROL/control	(revision 653)
@@ -0,0 +1,11 @@
+Package: enigma2-plugin-po-lt
+Version: 1.0
+Description: language files for lt
+Section: po
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: po lt
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: ipk/source/po_lt_1_0/CONTROL/postinst
===================================================================
--- ipk/source/po_lt_1_0/CONTROL/postinst	(revision 653)
+++ ipk/source/po_lt_1_0/CONTROL/postinst	(revision 653)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.po
+echo "successful installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: ipk/source/po_lt_1_0/CONTROL/postrm
===================================================================
--- ipk/source/po_lt_1_0/CONTROL/postrm	(revision 653)
+++ ipk/source/po_lt_1_0/CONTROL/postrm	(revision 653)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.po
+
+PLUGINDIR=/usr/local/share/enigma2/po/lt
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successful removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: ipk/source/po_lt_1_0/CONTROL/preinst
===================================================================
--- ipk/source/po_lt_1_0/CONTROL/preinst	(revision 653)
+++ ipk/source/po_lt_1_0/CONTROL/preinst	(revision 653)
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+TMP=/tmp/.po
+echo "syncing disk"
+sync
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=117
+	echo "check freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace on device"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "install language files ..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: ipk/source/po_lt_1_0/CONTROL/prerm
===================================================================
--- ipk/source/po_lt_1_0/CONTROL/prerm	(revision 653)
+++ ipk/source/po_lt_1_0/CONTROL/prerm	(revision 653)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.po
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "remove language files"
+exit 0
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/control
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/control	(revision 653)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/control	(revision 653)
@@ -0,0 +1,11 @@
+Package: enigma2-plugin-swapplayers-mediaplayer
+Version: 2.5
+Description: MediaPlayer Mod v2.5 for Swapstick
+Section: players
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: MediaPlayer Mod v2.5 for Swapstick
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postinst
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postinst	(revision 653)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postinst	(revision 653)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.players
+echo "successfully installed"
+echo "syncing disk"
+echo "please reboot your box so that the extension will be mounted..."
+sync
+exit 0
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postrm
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postrm	(revision 653)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/postrm	(revision 653)
@@ -0,0 +1,9 @@
+#!/bin/sh
+TMP=/tmp/.players
+
+rm -rf /var/swap/extensions/MediaPlayer
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst	(revision 653)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/preinst	(revision 653)
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+TMP=/tmp/.players
+echo "syncing disk"
+sync
+echo "checking swapstick"
+if [ ! -d /var/swap/Extensions/ ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+echo "installing MediaPlayer to swapstick..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/prerm
===================================================================
--- ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/prerm	(revision 653)
+++ ipk/source/swapplayers_mediaplayermod_2_5/CONTROL/prerm	(revision 653)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.players
+echo "syncing disk"
+sync
+echo "removing MediaPlayer from swapstick"
+exit 0
